Skip to content

Description ​

The Customer Reset Password API allows you reset customer password by supplying the token sent to their email address.

Endpoint ​

POST /v1/password/reset/customer

Required Headers ​

json
{
  "Content-Type": "application/json",
  "X-MerchantApiKey": "MERCHANT_API_KEY"
}

📥 Request Body ​

ParameterTypeRequiredDescription
tokenstringYesThe token sent to the customer email or attached to client url supplied.
newPasswordstringYesThe customer new password.
confirmPasswordstringYesConfirm password to make sure customer is certain of the newly inputted password

Example API Call (Fetch or Axios) ​

javascript
fetch('https://api.shopsynch.com/v1/password/reset/customer', {
  method: 'POST',
  headers: {
    'Content-Type': 'application/json',
    'X-MerchantApiKey': 'MERCHANT_API_KEY'
  },
  body: JSON.stringify({
    token: "45645897-5f8b-4f63-85b6-5c6ca1ab68b7",
    newPassword: "123456",
    confirmPassword: "123456"
  })
})
.then(response => response.json())
.then(data => console.log(data));

📤 Sample 200 Response (Success) ​

json
{
    "message": "Password has been reset successfully.",
    "status": true
}

📤 Sample 400 Response (Success) ​

json
{
    "status": false,
    "message": "Invalid password reset token"
}

Next Steps ​

Build with joy